import request from '@/utils/request'

// 查询健康生活列表
export function listHealthLife(query) {
  return request({
    url: '/store/healthLife/list',
    method: 'get',
    params: query
  })
}

// 查询健康生活详细
export function getHealthLife(id) {
  return request({
    url: '/store/healthLife/' + id,
    method: 'get'
  })
}

// 新增健康生活
export function addHealthLife(data) {
  return request({
    url: '/store/healthLife',
    method: 'post',
    data: data
  })
}

// 修改健康生活
export function updateHealthLife(data) {
  return request({
    url: '/store/healthLife',
    method: 'put',
    data: data
  })
}

// 删除健康生活
export function delHealthLife(id) {
  return request({
    url: '/store/healthLife/' + id,
    method: 'delete'
  })
}

// 导出健康生活
export function exportHealthLife(query) {
  return request({
    url: '/store/healthLife/export',
    method: 'get',
    params: query
  })
}
